package com.tongran.rocketmq.service;

import com.tongran.rocketmq.domain.RmTcpdumpConfig;

import java.util.List;

/**
 * tcpdump探测策略Service接口
 * 
 * @author tongran
 * @date 2026-01-21
 */
public interface IRmTcpdumpConfigService 
{
    /**
     * 查询tcpdump探测策略
     * 
     * @param id tcpdump探测策略主键
     * @return tcpdump探测策略
     */
    public RmTcpdumpConfig selectRmTcpdumpConfigById(Long id);

    /**
     * 查询tcpdump探测策略列表
     * 
     * @param rmTcpdumpConfig tcpdump探测策略
     * @return tcpdump探测策略集合
     */
    public List<RmTcpdumpConfig> selectRmTcpdumpConfigList(RmTcpdumpConfig rmTcpdumpConfig);

    /**
     * 新增tcpdump探测策略
     * 
     * @param rmTcpdumpConfig tcpdump探测策略
     * @return 结果
     */
    public int insertRmTcpdumpConfig(RmTcpdumpConfig rmTcpdumpConfig);

    /**
     * 修改tcpdump探测策略
     * 
     * @param rmTcpdumpConfig tcpdump探测策略
     * @return 结果
     */
    public int updateRmTcpdumpConfig(RmTcpdumpConfig rmTcpdumpConfig);

    /**
     * 批量删除tcpdump探测策略
     * 
     * @param ids 需要删除的tcpdump探测策略主键集合
     * @return 结果
     */
    public int deleteRmTcpdumpConfigByIds(Long[] ids);

    /**
     * 删除tcpdump探测策略信息
     * 
     * @param id tcpdump探测策略主键
     * @return 结果
     */
    public int deleteRmTcpdumpConfigById(Long id);

    RmTcpdumpConfig selectRmTcpdumpConfigByClientId(String clientId);
}
